curl --request GET \
--url https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"object": {
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve all previous versions of a landing page
Recupera todas las versiones anteriores de una landing page, especificadas por el ID de página.
curl --request GET \
--url https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/cms/pages/2026-09/landing-pages/{objectId}/revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"object": {
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El identificador único de la landing page para la que se recuperarán las revisiones.
Parámetros de consulta
El token del cursor de paginación del último recurso leído con éxito se devolverá como la propiedad JSON paging.next.after de una respuesta paginada que contenga más resultados.
Un token de cursor para la paginación, que indica el inicio de la página de resultados a devolver.
El número máximo de resultados que se mostrarán por página.
Respuesta
successful operation
Un conjunto que contiene los elementos individuales o los resultados de la colección.
Show child attributes
Show child attributes
Un número entero que representa el número total de elementos en la colección.
Representa la información de paginación para navegar por una lista de resultados en la API. Proporciona detalles sobre cómo acceder al conjunto de resultados anterior o siguiente.
Show child attributes
Show child attributes